import { WebComponentProps } from '@lit/react';
import { WY_COMPONENT_TAGNAME, WyComponent as WyComponentWC } from '@weavy/uikit-web';
export declare const WyComponent: import('@lit/react').ReactWebComponent<WyComponentWC, {}>;
declare module "react" {
    namespace JSX {
        interface IntrinsicElements {
            [WY_COMPONENT_TAGNAME]: WebComponentProps<WyComponentWC>;
        }
    }
}
